﻿@page
@model IndexModel
@{
    ViewData["Title"] = "Home page";
}

    <form asp-page="./Index" method="get">
        <div class="form-actions no-color">
            <p>
                Find by name :
                <input type="text" name="SearchString" value="@Model.CurrentFilter" />
                <button type="submit" value="Search">Search</button> |
                <a asp-page="./Index">Back to full List</a>
            </p>
        </div>
    </form>
        <table class="table">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Name</th>
                </tr>
            </thead>
            <tbody>
                @foreach (var customer in Model.Customers)
                {
                    <tr>
                        <td>@customer.Id</td>
                        <td>@customer.Name</td>
                        <td>
                            <a asp-page="./Edit" asp-route-id="@customer.Id">Edit</a>
                            <a> | </a>
                            <a asp-page="./Delete" asp-route-id="@customer.Id">Delete</a>
                        </td>
                    </tr>
                }
            </tbody>
        </table>
        <a asp-page="./Create">Create</a>
    
